Bug 1308873 - Cannot login via serial console in MLS
Cannot login via serial console in MLS
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy-mls (Show other bugs)
25
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Miroslav Vadkerti
: Reopened
Depends On:
Blocks: 1281852
  Show dependency treegraph
 
Reported: 2016-02-16 05:35 EST by Miroslav Vadkerti
Modified: 2017-01-02 09:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:45:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2016-02-16 05:35:33 EST
Description of problem:

When I try to login via serial console to a Fedora system running with SELinux MLS policy I get this error:

Cannot make/remove an entry for the specified session

and the login will fail.

I see these AVCs when trying to login as staff_u:

type=AVC msg=audit(1455618493.822:726): avc:  denied  { create } for  pid=717 comm="login" scontext=system_u:system_r:local_login_t:s15:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s15:c0.c1023 tclass=key permissive=0
type=SYSCALL msg=audit(1455618493.822:726): arch=c000003e syscall=1 success=no exit=-13 a0=3 a1=55e6a64f1780 a2=28 a3=633a3531732d3073 items=0 ppid=1 pid=717 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=ttyS0 ses=3 comm="login" exe="/usr/bin/login" subj=system_u:system_r:local_login_t:s15:c0.c1023 key=(null)
type=PROCTITLE msg=audit(1455618493.822:726): proctitle=2F62696E2F6C6F67696E002D2D00202020
type=USER_AVC msg=audit(1455618493.836:727): pid=670 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s15:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_call interface=org.freedesktop.login1.Manager member=CreateSession dest=org.freedesktop.login1 spid=717 tpid=1619 scontext=system_u:system_r:local_login_t:s15:c0.c1023 tcontext=system_u:system_r:systemd_logind_t:s0-s15:c0.c1023 tclass=dbus  exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'

Login as root/sysadm_r does not work either:

type=AVC msg=audit(1455618813.843:740): avc:  denied  { create } for  pid=1714 comm="login" scontext=system_u:system_r:local_login_t:s15:c0.c1023 tcontext=root:sysadm_r:sysadm_t:s0-s15:c0.c1023 tclass=key permissive=0  
type=SYSCALL msg=audit(1455618813.843:740): arch=c000003e syscall=1 success=no exit=-13 a0=3 a1=55a99e9a72d0 a2=27 a3=30633a3531732d30 items=0 ppid=1 pid=1714 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=ttyS0 ses=4 comm="login" exe="/usr/bin/login" subj=system_u:system_r:local_login_t:s15:c0.c1023 key=(null)  
type=PROCTITLE msg=audit(1455618813.843:740): proctitle=2F62696E2F6C6F67696E002D2D0020202020
type=USER_AVC msg=audit(1455618813.856:741): pid=670 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s15:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_call interface=org.freedesktop.login1.Manager member=CreateSession dest=org.freedesktop.login1 spid=1714 tpid=1619 scontext=system_u:system_r:local_login_t:s15:c0.c1023 tcontext=system_u:system_r:systemd_logind_t:s0-s15:c0.c1023 tclass=dbus  exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'  

Version-Release number of selected component (if applicable):
selinux-policy-mls-3.13.1-158.4.fc23

How reproducible:
100%

Steps to Reproduce:
1. Have an MLS Fedora system
2. Try to login via serial console

Actual results:
Login fails

Expected results:
Login works

Additional info:
Note that the login works via SSH
Comment 1 Fedora End Of Life 2016-11-24 10:35:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:45:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Jiri Jaburek 2017-01-02 09:45:07 EST
Booting in permissive and restarting systemd-logind in both permissive and enforcing (mls) seems to work without errors - the logind process is running and I see no tracebacks in 'journalctl -u systemd-logind' and no AVCs in audit log.

I cannot log in via serial console in enforcing due to

Cannot make/remove an entry for the specified session

but as far as I can tell, this is not the logind issue described above.
Comment 4 Jiri Jaburek 2017-01-02 09:49:48 EST
Sorry, wrong bug, please ignore the logind stuff in comment 3. Regardless of that, I still cannot log in via serial console on F25.

Note You need to log in before you can comment on or make changes to this bug.